Bug 253409 - [NEW PORT] net/p5-Net-Connection-Sort Sorts a array of Net::Connection objects
Summary: [NEW PORT] net/p5-Net-Connection-Sort Sorts a array of Net::Connection objects
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 253410
  Show dependency treegraph
 
Reported: 2021-02-10 12:45 UTC by Zane C. Bowers-Hadley
Modified: 2021-02-27 00:10 UTC (History)
2 users (show)

See Also:


Attachments
svn diff (5.08 KB, patch)
2021-02-10 12:45 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (5.07 KB, patch)
2021-02-17 10:26 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2021-02-10 12:45:56 UTC
Created attachment 222336 [details]
svn diff

Porting this for the purpose of porting ncnetstat.



This sorts a array of Net::Connection objects.

Currently the methods below are supported.

 * host_f - Host foreign
 * host_fl - Host, foreign then local
 * host_l - Host, local
 * host_lf - Host, local then foreign
 * pid - Process ID
 * port_f - Port, foreign, numeric
 * port_fa - Port, foreign, alpha
 * port_l - Port, local, numeric
 * port_la - Port, local, alpha
 * proto - Network connection protocol
 * ptr_f - PTR, foreign
 * ptr_l - PTR, local
 * state - Connection
 * uid - User ID
 * user - Username

WWW: https://metacpan.org/release/Net-Connection-Sort
Comment 1 Zane C. Bowers-Hadley 2021-02-17 10:26:50 UTC
Created attachment 222521 [details]
svn diff

Poudriere and portlint all happy.
Comment 2 commit-hook freebsd_committer 2021-02-27 00:06:50 UTC
A commit references this bug:

Author: swills
Date: Sat Feb 27 00:06:15 UTC 2021
New revision: 566646
URL: https://svnweb.freebsd.org/changeset/ports/566646

Log:
  net/p5-Net-Connection-Sort: create port

  This sorts a array of Net::Connection objects.

  Currently the methods below are supported.

   * host_f - Host foreign
   * host_fl - Host, foreign then local
   * host_l - Host, local
   * host_lf - Host, local then foreign
   * pid - Process ID
   * port_f - Port, foreign, numeric
   * port_fa - Port, foreign, alpha
   * port_l - Port, local, numeric
   * port_la - Port, local, alpha
   * proto - Network connection protocol
   * ptr_f - PTR, foreign
   * ptr_l - PTR, local
   * state - Connection
   * uid - User ID
   * user - Username

  WWW: https://metacpan.org/release/Net-Connection-Sort

  PR:		253409
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/net/p5-Net-Connection-Sort/
  head/net/p5-Net-Connection-Sort/Makefile
  head/net/p5-Net-Connection-Sort/distinfo
  head/net/p5-Net-Connection-Sort/pkg-descr
  head/net/p5-Net-Connection-Sort/pkg-plist
Comment 3 Steve Wills freebsd_committer 2021-02-27 00:10:12 UTC
Committed, thanks!